#include <bits/stdc++.h>

using namespace std;
struct covek
{
    double plata;
    double procenat;
};
bool sortby(covek c1,covek c2)
{
    return c1.procenat < c2.procenat;
}
double procenat(double plata,double porez)
{
    return plata*porez/100;
}
double dinamicko(covek a[],long long n)
{
    double rez[n]={0.00};
    double pr=a[0].procenat;
    rez[0]+=procenat(a[0].plata,a[0].procenat);
    for(long long i=1;i<n;i++)
    {
       if(rez[i-1]+procenat(a[i].plata,pr)<
          procenat(a[i].plata,a[i].procenat)){
            rez[i]+=procenat(a[i].plata,a[i].procenat);
            pr=a[i].procenat;
        }
        else rez[i]+=rez[i-1]+procenat(a[i].plata,pr);
    }
    return rez[n-1];
}
int main()
{
    ios::sync_with_stdio(false);
    long long n;
    cin >> n;
    covek a[n];
    for(long long i=0;i<n;i++)
      cin >> a[i].plata >> a[i].procenat;
    sort(a,a+n,sortby);
    double broj =dinamicko(a,n);
    float pom=broj;
    string v = to_string(pom);
    cout << setprecision(v.size()) << broj << '\n';
    return 0;

}